Bug 146866 - Non-installation of postgresql
Non-installation of postgresql
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 04:50 EST by Steven Whitehouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 23:30:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Whitehouse 2005-02-02 04:50:18 EST
Description of problem:

If postgresql server is selected during installation, then the
postgresql packages are not installed. I presume that anaconda
is the correct package to report this against?


How reproducible:

Every time. I've tried one or two different configurations with the
same results each time. The common theme was installing a text
only server running postgresql and little else.

The obvious workaround is just to install postgresql by hand which
appears to work just fine.
Comment 1 Jeremy Katz 2005-02-03 13:39:24 EST
Which package groups did you choose?  Did you go into the group
details and ensure the server was selected?
Comment 2 Steven Whitehouse 2005-02-07 04:17:51 EST
It doesn't appear to matter exactly which groups I chose. In each
case I was doing a text mode install and I selected all the groups
for development/admin tools which were not obviously going to
bring in the X-Window RPMs. I also selected the "postgresql server"
group (obviously) each time.

I didn't do any individual package selection. I relied on the groups
to bring in the correct packages by default, so maybe the bug is just
that the postgresql server isn't a default selection under the
"postgresql server" group?
Comment 3 Chris Lumens 2005-03-01 15:19:47 EST
The postgresql and postgresql-server packages should probably marked as default
if the postgres group is selected.  Note that the MySQL group has this same
problem.  Same situation in Rawhide.
Comment 4 Elliot Lee 2005-03-21 23:30:51 EST
Thanks for the report - fixed!

Note You need to log in before you can comment on or make changes to this bug.